## org.plovr
Class CompilationUtil

    java.lang.Object
      org.plovr.CompilationUtil

    public final class CompilationUtil

extends Object

Method Summary
`static Compilation` `getCompilationOrFail(CompilationServer server, Config config, boolean recordCompilation)` Tries to return the most recent `Compilation` for the specified config.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getCompilationOrFail

    public static Compilation getCompilationOrFail(CompilationServer server,
                                                   Config config,
                                                   boolean recordCompilation)
                                            throws IOException,
                                                   CompilationException

  Tries to return the most recent `Compilation` for the specified config. If that is not available, then this will compile the code using the config (but not any referrer information). If the config specifies RAW mode and there is no recent `Compilation`, then an exception will be thrown.

  Throws:
    `CompilationException`
    `IOException`